Name:          xfsprogs
Version:       5.7.0
Release:       1mamba
Summary:       This package contains the userspace tools to accompany the XFS driver in the kernel
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://oss.sgi.com/projects/xfs/
Source:        https://www.kernel.org/pub/linux/utils/fs/xfs/xfsprogs//xfsprogs-%{version}.tar.xz
#Source:        ftp://oss.sgi.com/projects/xfs/cmd_tars/xfsprogs-%{version}.tar.gz
Patch:         %{name}-2.8.21-buildfix.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libblkid-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
BuildRequires: bash
BuildRequires: gettext-devel
BuildRequires: ldconfig
BuildRequires: libe2fs-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package contains the userspace tools to accompany the XFS driver in the kernel. 

%prep
%setup -q
#%patch -p1

%build
#autoconf
export DEBUG="-DNDEBUG"
%configure \
   --enable-shared=yes \
   --enable-gettext=yes
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
#\
#   PKG_ROOT_LIB_DIR=%{buildroot}%{_libdir} \
#   PKG_ROOT_BIN_DIR=%{buildroot}%{_bindir} \
#   PKG_ROOT_SBIN_DIR=%{buildroot}%{_sbindir} \
#   PKG_SBIN_DIR=%{buildroot}%{_sbindir} \
#   PKG_MAN_DIR=%{buildroot}%{_mandir} \
#   PKG_DOC_DIR=%{_builddir}/%{name}-%{version}/xfsprogs_docs

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
/sbin/fsck.xfs
/sbin/mkfs.xfs
/sbin/xfs_*
%{_sbindir}/xfs_*
/lib/systemd/system/xfs_scrub@.service
/lib/systemd/system/xfs_scrub_all.service
/lib/systemd/system/xfs_scrub_all.timer
/lib/systemd/system/xfs_scrub_fail@.service
/%{_lib}/libhandle.so.*
%dir %{_libdir}/xfsprogs
%{_libdir}/xfsprogs/*
%dir %{_datadir}/doc/xfsprogs
%{_datadir}/doc/xfsprogs/*
%{_mandir}/man5/xfs.*
%{_mandir}/man5/projects.*
%{_mandir}/man5/projid.*
%{_mandir}/man8/fsck.xfs.*
%{_mandir}/man8/mkfs.xfs.*
%{_mandir}/man8/xfs_*.*

%changelog
* Sat Jul 25 2020 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Wed Apr 15 2020 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Sat Mar 14 2020 Automatic Build System <autodist@mambasoft.it> 5.5.0-1mamba
- automatic version update by autodist

* Sat Jan 18 2020 Automatic Build System <autodist@mambasoft.it> 5.4.0-1mamba
- automatic version update by autodist

* Sat Nov 16 2019 Automatic Build System <autodist@mambasoft.it> 5.3.0-1mamba
- automatic version update by autodist

* Thu Aug 22 2019 Automatic Build System <autodist@mambasoft.it> 5.2.1-1mamba
- automatic version update by autodist

* Sat Aug 10 2019 Automatic Build System <autodist@mambasoft.it> 5.2.0-1mamba
- automatic version update by autodist

* Sun Jul 21 2019 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- automatic version update by autodist

* Sat May 04 2019 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Sat Feb 23 2019 Automatic Build System <autodist@mambasoft.it> 4.20.0-1mamba
- automatic version update by autodist

* Sun Nov 18 2018 Automatic Build System <autodist@mambasoft.it> 4.19.0-1mamba
- automatic version update by autodist

* Sat Aug 25 2018 Automatic Build System <autodist@mambasoft.it> 4.18.0-1mamba
- automatic version update by autodist

* Mon Jul 02 2018 Automatic Build System <autodist@mambasoft.it> 4.17.0-1mamba
- automatic version update by autodist

* Thu May 03 2018 Automatic Build System <autodist@mambasoft.it> 4.16.1-1mamba
- automatic version update by autodist

* Sat Apr 28 2018 Automatic Build System <autodist@mambasoft.it> 4.16.0-1mamba
- automatic version update by autodist

* Fri Mar 30 2018 Automatic Build System <autodist@mambasoft.it> 4.15.1-1mamba
- automatic version update by autodist

* Wed Dec 27 2017 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Sun Aug 13 2017 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Sat Jan 28 2017 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Wed Dec 14 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.0-1mamba
- update to 4.8.0

* Fri Aug 05 2016 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- automatic version update by autodist

* Tue Mar 15 2016 Automatic Build System <autodist@mambasoft.it> 4.5.0-1mamba
- automatic version update by autodist

* Mon Nov 23 2015 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Mon Sep 07 2015 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Thu Jul 30 2015 Automatic Build System <autodist@mambasoft.it> 3.2.4-1mamba
- automatic version update by autodist

* Wed Jun 10 2015 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Thu Dec 04 2014 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Wed Jul 16 2014 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic update by autodist

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 3.1.11-1mamba
- automatic version update by autodist

* Thu Dec 27 2012 Automatic Build System <autodist@mambasoft.it> 3.1.10-1mamba
- automatic version update by autodist

* Fri Mar 23 2012 Automatic Build System <autodist@mambasoft.it> 3.1.8-1mamba
- automatic version update by autodist

* Fri Apr 01 2011 Automatic Build System <autodist@mambasoft.it> 3.1.5-1mamba
- automatic update by autodist

* Sat Nov 13 2010 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic update to 3.1.4 by autodist

* Tue Sep 07 2010 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- update to 3.1.3

* Mon May 10 2010 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic update to 3.1.2 by autodist

* Sat Feb 13 2010 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic update to 3.1.1 by autodist

* Mon Aug 31 2009 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic update to 3.0.3 by autodist

* Thu May 07 2009 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic update to 3.0.1 by autodist

* Fri Feb 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-1mamba
- update to 3.0.0

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.2-1mamba
- automatic update to 2.10.2 by autodist

* Wed Sep 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-1mamba
- automatic update to 2.10.1 by autodist

* Wed Apr 30 2008 Aleph0 <aleph0@openmamba.org> 2.9.8-1mamba
- update to 2.9.8

* Fri Mar 07 2008 Aleph0 <aleph0@openmamba.org> 2.9.7-1mamba
- update to 2.9.7

* Mon Jan 21 2008 Aleph0 <aleph0@openmamba.org> 2.9.5-1mamba
- update to 2.9.5

* Wed Sep 12 2007 Aleph0 <aleph0@openmamba.org> 2.9.4-1mamba
- update to 2.9.4

* Mon Jul 23 2007 Aleph0 <aleph0@openmamba.org> 2.9.3-1mamba
- update to 2.9.3

* Fri Jun 15 2007 Aleph0 <aleph0@openmamba.org> 2.8.21-1mamba
- update to 2.8.21

* Tue Mar 30 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-1qilnx
- first build
